%define major 0
%define api 0.3
%define libname %mklibname %{name} %{api}_%{major}
%define devname %mklibname %{name} -d
%define girname %mklibname %{name}-gir %{api}

Summary:	GEGL (Generic Graphics Library) - graph based image processing framework
Name:		gegl
Version:	0.3.4
Release:	1
License:	LGPLv3+
Group:		System/Libraries
Url:		http://www.gegl.org/
Source0:	ftp://ftp.gimp.org/pub/gegl/%{api}/%{name}-%{version}.tar.bz2
Patch0:		gegl-0.3.4-soname.patch
Patch1:		gegl-0.3.4-linking.patch
Patch2:		gegl-0.3.4-str-fmt.patch
BuildRequires:	enscript
BuildRequires:	intltool
BuildRequires:	gobject-introspection-devel
BuildRequires:	graphviz
BuildRequires:	imagemagick
BuildRequires:	pango-modules
BuildRequires:	ruby
#gw warning: this needs the deprecated libavcodec scaler (img_convert,...)
BuildRequires:	ffmpeg-devel
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(babl) >= 0.1.10
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libopenraw-1.0)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libspiro)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	vala
BuildRequires:	vala-tools
%rename gegl03

%description
GEGL (Generic Graphics Library) is a graph based image processing framework.

GEGLs original design was made to scratch GIMPs itches for a new compositing
and processing core. This core is being designed to have minimal dependencies
and a simple well defined API.

%files -f %{name}-%{api}.lang
%doc README AUTHORS NEWS
%{_bindir}/gegl
%{_bindir}/gegl-imgcmp
%{_bindir}/gegl-tester
%{_libdir}/gegl-%{api}/*.so
%{_libdir}/gegl-%{api}/*.json

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library for %{name}
Group:		System/Libraries
%define libname03  %mklibname gegl03 %{api} %{major}
%rename %{libname03}


%description -n %{libname}
GEGL (Generic Graphics Library) is a graph based image processing framework.

GEGLs original design was made to scratch GIMPs itches for a new compositing
and processing core. This core is being designed to have minimal dependencies
and a simple well defined API.

%files -n %{libname}
%{_libdir}/libgegl-%{api}.so.%{major}*
%{_libdir}/libgegl-npd-%{api}.so.%{major}*
%{_libdir}/libgegl-sc-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Header files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
%define develname03 %mklibname -d gegl03
%rename %{develname03}

%description -n %{devname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.

%files -n %{devname}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/gegl/
%{_libdir}/*.so
%{_includedir}/gegl-%{api}/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Gegl-%{api}.gir
%{_datadir}/vala/vapi/*

#----------------------------------------------------------------------------
%package -n %{girname}

Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{EVRD}
%define girname03     %mklibname gegl03-gir %{api}
%rename %{girname03}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Gegl-%{api}.typelib

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .ffmpeg11~
%patch1 -p1 -b .CVE-2012-4433
%patch2 -p1 -b .remove-src-over-op
export LC_ALL=UTF-8
autoreconf -vfi

%build
%configure2_5x \
	--disable-workshop
%make

%install
%makeinstall_std

%find_lang %{name}-%{api}

rm -f %{buildroot}%{_libdir}/gegl-%{api}/*.la


%changelog

* Sat Feb 06 2016 Denis Silakov <dsilakov@gmail.com> 0.3.4-1
- (8d69977) Added vala BRs


